Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.dnd
Interface DNDFactory

    public interface DNDFactory

Implementations of DNDFactory will be able to create DNDSource, DNDTarget, and DNDProperty objects. NOTE: This API may only be used in the scope of an HTTP request in WebSphere Portal, i.e. within a theme. The API can not be invoked directly by a custom servlet.

Since:
  6.0

Method Summary
`DNDAction` | `createAction(java.lang.String action, DNDProperty[] properties, DNDValidator validator, java.lang.String optionalActionHandlerMarkup, java.lang.String activeCssClassName, java.lang.String awareCssClassName, boolean supportsMultiselect, java.lang.String multiselectDelimiter)` This method is used to create a DNDAction object with the parameters provided.
`DNDProperty` | `createProperty(java.lang.String namespace, java.lang.String type, java.lang.String name, java.lang.Object value)` This method is used to create a DNDProperty object with the parameters provided.
`DNDSource` | `createSource(HttpServletRequest request, DNDProperty[] properties, DNDValidator validator, java.lang.String optionalOnDragHandlerMarkup, boolean dragClone, boolean isMultiselectable, java.lang.String cssClassName)` This method is used to create a DNDSource object with the paramters provided.
`DNDSource` | `createSource(PortletRequest request, DNDProperty[] properties, DNDValidator validator, java.lang.String optionalOnDragHandlerMarkup, boolean dragClone, boolean isMultiselectable, java.lang.String cssClassName)` This method is used to create a DNDSource object with the paramters provided.
`DNDTarget` | `createTarget(HttpServletRequest request, DNDAction[] actions)` This method is used to create a DNDTarget object with the provided paramters.
`DNDTarget` | `createTarget(PortletRequest request, DNDAction[] actions)` This method is used to create a DNDTarget object with the provided paramters.

Method Detail

### createProperty

    DNDProperty createProperty(java.lang.String namespace,
                               java.lang.String type,
                               java.lang.String name,
                               java.lang.Object value)
                               throws DNDInvalidParametersException

  This method is used to create a DNDProperty object with the parameters provided. An exception is thrown when parameters are insufficient to create the object.

  Parameters:
    `namespace` - (not null) the namespace of this DNDProperty used for matching DNDSource objects to DNDTarget objects
    `type` - (not null) the type of this DNDProperty used for matching DNDSource objects to DNDTarget objects
    `name` - (may be null) the name that will be used for this DNDProperty in the request when a DND interaction takes place
    `value` - (may be null) the value that should be provided for this DNDProperty when a DND interaction occurs
  Returns:
    a new DNDProperty
  Throws:
    `DNDInvalidParametersException` - when the object cannot be created

### createSource

    DNDSource createSource(HttpServletRequest request,
                           DNDProperty[] properties,
                           DNDValidator validator,
                           java.lang.String optionalOnDragHandlerMarkup,
                           boolean dragClone,
                           boolean isMultiselectable,
                           java.lang.String cssClassName)
                           throws DNDInvalidParametersException

  This method is used to create a DNDSource object with the paramters provided. An exception is thrown if the parameters are insufficient to create the object.

  Parameters:
    `request` - (not null) the current ServletRequest
    `properties` - (not null) the set of DNDProperties with this DNDSource
    `validator` - (may be null) the optional DNDValidator needed for this DNDSource
    `optionalOnDragHandlerMarkup` - (may be null) the optional JavaScript markup to be invoked during a drag
    `dragClone` - true to drag a clone of this markup, false otherwise
    `isMultiselectable` - true if users should be allowed to multiselect this DNDSource with DNDSource objects that have matching types
    `cssClassName` - (may be null) the CSS class for this DNDSource during a drag, if null a default is used
  Returns:
    a new DNDSource
  Throws:
    `DNDInvalidParametersException` - if the object cannot be created

### createSource

    DNDSource createSource(PortletRequest request,
                           DNDProperty[] properties,
                           DNDValidator validator,
                           java.lang.String optionalOnDragHandlerMarkup,
                           boolean dragClone,
                           boolean isMultiselectable,
                           java.lang.String cssClassName)
                           throws DNDInvalidParametersException

  This method is used to create a DNDSource object with the paramters provided. An exception is thrown if the parameters are insufficient to create the object.

  Parameters:
    `request` - (not null) the current PortletRequest
    `properties` - (not null) the set of DNDProperties with this DNDSource
    `validator` - (may be null) the optional DNDValidator needed for this DNDSource
    `optionalOnDragHandlerMarkup` - (may be null) the optional JavaScript markup to be invoked during a drag
    `dragClone` - true to drag a clone of this markup, false otherwise
    `isMultiselectable` - true if users should be allowed to multiselect this DNDSource with DNDSource objects that have matching types
    `cssClassName` - (may be null) the CSS class for this DNDSource during a drag, if null a default is used
  Returns:
    a new DNDSource
  Throws:
    `DNDInvalidParametersException` - if the object cannot be created

### createTarget

    DNDTarget createTarget(HttpServletRequest request,
                           DNDAction[] actions)
                           throws DNDInvalidParametersException

  This method is used to create a DNDTarget object with the provided paramters. An exception is thrown if the parameters are insufficient to create the object.

  Parameters:
    `request` - (not null) the current ServletRequest
    `actions` - (not null) the DNDActions associated with this DNDTarget
  Returns:
    a new DNDTarget
  Throws:
    `DNDInvalidParametersException` - if the object cannot be created

### createTarget

    DNDTarget createTarget(PortletRequest request,
                           DNDAction[] actions)
                           throws DNDInvalidParametersException

  This method is used to create a DNDTarget object with the provided paramters. An exception is thrown if the parameters are insufficient to create the object.

  Parameters:
    `request` - (not null) the current PortletRequest
    `actions` - (not null) the DNDActions associated with this DNDTarget
  Returns:
    a new DNDTarget
  Throws:
    `DNDInvalidParametersException` - if the object cannot be created

### createAction

    DNDAction createAction(java.lang.String action,
                           DNDProperty[] properties,
                           DNDValidator validator,
                           java.lang.String optionalActionHandlerMarkup,
                           java.lang.String activeCssClassName,
                           java.lang.String awareCssClassName,
                           boolean supportsMultiselect,
                           java.lang.String multiselectDelimiter)
                           throws DNDInvalidParametersException

  This method is used to create a DNDAction object with the parameters provided. An exception is thrown when the parameters are insufficient to create the object.

  Parameters:
    `action` - (not null) a URL that this DNDAction will be submitted to
    `properties` - (not null) the DNDProperty objects associated with this action
    `optionalActionHandlerMarkup` - (may be null) the optional javascript to be executed when this DNDAction is invoked
    `activeCssClassName` - (may be null) the CSS class when this DNDAction's DNDTarget is "active", if null a default is used
    `awareCssClassName` - (may be null) the CSS class when this DNDAction's DNDTarget is "aware", if null a default is used
    `supportsMultiselect` - true if multiselected DNDSource objects may be dropped on this DNDAction, false otherwise
    `multiselectDelimiter` - (may be null) if supportsMultiselect is true, this value is used to delimit DNDProperty values in the request
  Returns:
    a new DNDAction
  Throws:
    `DNDInvalidParametersException` - if the object cannot be created

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD